/**
 * Created by echovanec on 24. 11. 2014.
 */

var IMAGE_FOLDER = 'img_480/'

function loadSplash(game)
{
    game.load.text('lang_strings', 'assets/dat/m.json');
    game.load.image('inlogic_logo', 'assets/' + IMAGE_FOLDER + 'inl.png');
    game.load.image('void', 'assets/' + IMAGE_FOLDER + 'void.png');
};

function loadImages(game)
{
    this.game.load.atlas('pak1', 'assets/' + IMAGE_FOLDER + 'pak1.png', 'assets/' + IMAGE_FOLDER + 'pak1.json');
    this.game.load.atlas('game', 'assets/' + IMAGE_FOLDER + 'game.png', 'assets/' + IMAGE_FOLDER + 'game.json');
    this.game.load.atlas('instr', 'assets/' + IMAGE_FOLDER + 'instr.png', 'assets/' + IMAGE_FOLDER + 'instr.json');

    game.load.image('bg1', 'assets/' + IMAGE_FOLDER + 'bg1.png');
    game.load.image('bg2', 'assets/' + IMAGE_FOLDER + 'bg2.png');
    game.load.image('bg3', 'assets/' + IMAGE_FOLDER + 'bg3.png');
    game.load.image('bg4', 'assets/' + IMAGE_FOLDER + 'bg4.png');
    game.load.image('bg5', 'assets/' + IMAGE_FOLDER + 'bg5.png');
    game.load.image('bg6', 'assets/' + IMAGE_FOLDER + 'bg6.png');
    game.load.image('bg7', 'assets/' + IMAGE_FOLDER + 'bg7.png');
    game.load.image('bg8', 'assets/' + IMAGE_FOLDER + 'bg8.png');

    game.load.xml('gamefont_TA_xml', 'assets/fnt/gamefont_TA.xml');
    //game.load.bitmapFont('gameFont', 'assets/fnt/gamefont_mahjong.png', 'assets/fnt/gamefont_mahjong.xml');
};

function loadSounds(game)
{
    //TODO: SAMSUNG DUOS to nevie nahrat... [stock browser]
    game.load.audio('music_menu', ['assets/audio/music_menu.ogg', 'assets/audio/music_menu.mp3']);

    game.load.audio('card', ['assets/audio/card.ogg', 'assets/audio/card.mp3']);
    game.load.audio('coins', ['assets/audio/coins.ogg', 'assets/audio/coins.mp3']);
    game.load.audio('claim', ['assets/audio/claim.ogg', 'assets/audio/claim.mp3']);
    game.load.audio('redeal', ['assets/audio/redeal.ogg', 'assets/audio/redeal.mp3']);
    game.load.audio('nomove', ['assets/audio/nomove.ogg', 'assets/audio/nomove.mp3']);
    game.load.audio('jingle_win', ['assets/audio/jingle_win.ogg', 'assets/audio/jingle_win.mp3']);
    game.load.audio('dialog', ['assets/audio/dialog.ogg', 'assets/audio/dialog.mp3']);

    game.load.audio('harph0', ['assets/audio/harph0.ogg', 'assets/audio/harph0.mp3']);
    game.load.audio('harph1', ['assets/audio/harph1.ogg', 'assets/audio/harph1.mp3']);
    game.load.audio('harph2', ['assets/audio/harph2.ogg', 'assets/audio/harph2.mp3']);
    game.load.audio('harph3', ['assets/audio/harph3.ogg', 'assets/audio/harph3.mp3']);

    game.load.audio('next_button', ['assets/audio/next_button.ogg', 'assets/audio/next_button.mp3']);
    game.load.audio('achieve', ['assets/audio/achieve.ogg', 'assets/audio/achieve.mp3']);

    game.load.audio('result_gold-star', ['assets/audio/result_gold-star.ogg', 'assets/audio/result_gold-star.mp3']);
    game.load.audio('tile_wrong-one', ['assets/audio/tile_wrong-one.ogg', 'assets/audio/tile_wrong-one.mp3']);
    game.load.audio('result_bronze-silver-star', ['assets/audio/result_bronze-silver-star.ogg', 'assets/audio/result_bronze-silver-star.mp3']);
    game.load.audio('menu-click1', ['assets/audio/menu-click1.ogg', 'assets/audio/menu-click1.mp3']);
    game.load.audio('undo', ['assets/audio/undo.ogg', 'assets/audio/undo.mp3']);
};

function getPakFrames(prefix, frames)
{
    output = [];
    for(var i = 0; i < frames.length; i++)
        output[i] = prefix + frames[i] + '.png';

    return output;
};



