var GameData = function()
{
};

GameData.BuildTitle     = 'Solitaire Grande';
GameData.BuildString    = '31.8.2018 10:13';
GameData.BuildDebug     = false;
GameData.BuildVersion   = "1.0.2";

GameData.CreditsStaff   = 'Inlogic Games 2018';

GameData.ProfileName    = 'inl-sltr-mn';

GameData.Reset = function()
{
    GameData.profile = {};

    GameData.profile.PlayerCoins = 0;
    GameData.profile.Draw1 = true;

    GameData.profile.CardFaces = [0, 50, 150];
    GameData.profile.CardBacks = [0, 25, 50, 75, 75];
    GameData.profile.Backgrounds = [0, 50, 150, 200, 250, 300, 400, 500];

    GameData.profile.UsedCardFace = 0;
    GameData.profile.UsedCardBack = 0;
    GameData.profile.UsedBackground = 0;

    GameData.profile.LasVegasScore = false;
    GameData.profile.RightHanded = true;

    GameData.profile.TotalWinsD1 = 0;
    GameData.profile.TotalGamesD1 = 0;
    GameData.profile.BestScoreD1 = 0;
    GameData.profile.LeastMovesD1 = 0;
    GameData.profile.BestTimeD1 = 0;
    GameData.profile.MostMovesD1 = 0;

    GameData.profile.TotalWinsD3 = 0;
    GameData.profile.TotalGamesD3 = 0;
    GameData.profile.BestScoreD3 = 0;
    GameData.profile.LeastMovesD3 = 0;
    GameData.profile.BestTimeD3 = 0;
    GameData.profile.MostMovesD3 = 0;

    GameData.profile.DailyBonusDate = DateToStr(new Date());
};

GameData.Load = function()
{
    GameData.Reset();

    var profile = null;

    try{
        profile = JSON.parse(localStorage.getItem(GameData.ProfileName));
        if(profile != null)
            GameData.profile = profile;
    }catch(e){
    }

};

GameData.Save = function()
{
    try{
        localStorage.setItem(GameData.ProfileName, JSON.stringify(GameData.profile));
    }catch(e){
    }
};
