var Languages = function()
{
    if(Languages.instance != null)
        return Languages.instance;

    Languages.instance = this;

    this.gameTextsParsed = null;
    this.xml = null;
    this.gameTextsLists = [];

    var data = JSON.parse(game.cache.getText('lang_strings'))['stringresources']['strings']['string'];

    for (var i = 0; i < data.length; i++){
        if (this.gameTextsLists[data[i].id] == null){
            this.gameTextsLists[data[i].id] = [];
        }

        for(var j = 0; j < LANGUAGES.length; j++)
            if (data[i][LANGUAGES[j]].length > 0)
                this.gameTextsLists[data[i].id][LANGUAGES[j]] = data[i][LANGUAGES[j]].replace(/\\n/g, '\n');
    }
};

var LANGUAGES = ["en", "de", "es", "fr", "it", "pt"];

Languages.instance = null;

Languages.prototype = {};

function STR(id)
{
    if (Languages.instance.gameTextsLists[id] == undefined || Languages.instance.gameTextsLists[id][Languages.instance.language] == undefined) {
        LOG('STR(' + id + ') MISSING!')
        return "NAN";
    }

    var retVal = Languages.instance.gameTextsLists[id][Languages.instance.language];
    return retVal.replaceAll('\\n', '\n') ;
}