
var ScenePause = function()
{
    ScenePause.instance = this;

    this.create();
};

ScenePause.instance = null;

ScenePause.prototype = {

    create: function ()
    {
        grpScenePause = game.add.group();
        grpScenePause.name = "grpScenePause";
        this.grpScene = grpScenePause;

        imgPauseOverlay = game.add.sprite(game.width >> 1, game.height >> 1, 'pak1', 'blank.png');
        imgPauseOverlay.anchor.setTo(0.5, 0.5);
        imgPauseOverlay.tint = 0x354854;
        imgPauseOverlay.alpha = 0.7;
        imgPauseOverlay.inputEnabled = true;
        grpScenePause.addChild(imgPauseOverlay);
/*
        btnPauseInstructions = game.add.sprite(game.width >> 1, game.height >> 1, 'pak1', 'tutorial-button.png');
        btnPauseInstructions.anchor.setTo(0.5, 0.5);
        btnPauseInstructions.scale.set(game.width / 680 * 0.7);
        AddButtonEvents(btnPauseInstructions, function(){
            soundManager.playSound('menu-click1');
            SceneInstructions.instance.ShowAnimated();
        }, ButtonOnInputOver, ButtonOnInputOut);
        grpScenePause.addChild(btnPauseInstructions);
*/
        btnPauseClose = game.add.sprite(game.width >> 1, game.height >> 1, 'pak1', 'quit.png');
        btnPauseClose.anchor.setTo(0.5, 0.5);
        btnPauseClose.scale.set(game.width / 680 * 0.7);
        AddButtonEvents(btnPauseClose, function(){
            soundManager.playSound('menu-click1');
            /*gameRunning = true;
            ScenePause.instance.HideAnimated();
            SceneMenu.instance.HideAnimated();*/
            SceneMenu.instance.QuitGame();
        }, ButtonOnInputOver, ButtonOnInputOut);
        grpScenePause.addChild(btnPauseClose);
        btnPauseClose.visible = (game.device.cocoonJS);

        pauseButtons = [];
        pauseButtons.push(gameState.CreateImgButtonWithIcon(grpScenePause, 'smallbutton.png', 'pausemenu_0.png', function(){
            soundManager.playSound('menu-click1');
            gameRunning = true;
            ScenePause.instance.HideAnimated();
            SceneMenu.instance.HideAnimated();
        }));
        pauseButtons.push(gameState.CreateImgButtonWithIcon(grpScenePause, 'smallbutton.png', 'pausemenu_1.png', function(){
            soundManager.playSound('menu-click1');
            SceneGame.instance.RetryGame();
            ScenePause.instance.HideAnimated();
            SceneMenu.instance.HideAnimated();
        }));
        pauseButtons.push(gameState.CreateImgButtonWithIcon(grpScenePause, 'smallbutton.png', 'pausemenu_2.png', function(){
            soundManager.playSound('menu-click1');
            SceneGame.instance.ResetAchievementsWinOnRestart();
            SceneGame.instance.ResetGame();
            ScenePause.instance.HideAnimated();
            SceneMenu.instance.HideAnimated();
        }));

        imgPauseDrawOff = game.add.sprite((game.width >> 1), (game.height >> 1) * 0.7, 'pak1', 'drawoff.png');
        imgPauseDrawOff.anchor.set(0.5);
        imgPauseDrawOff.scale.set(game.width / 680 * 0.7);
        grpScenePause.add(imgPauseDrawOff);

        imgPauseDraw1 = game.add.sprite(0, 0, 'pak1', 'draw1.png');
        imgPauseDraw1.anchor.setTo(1, 0.5);
        imgPauseDrawOff.addChild(imgPauseDraw1);

        /*
        imgPauseDrawOff.txtCaption1 = gameState.CreateText(-imgPauseDraw1.width * 0.35, -7, 'gamefont', 'Draw 1', 50);
        imgPauseDrawOff.txtCaption1.anchor.setTo(0.5, 0.5);
        imgPauseDrawOff.txtCaption1.tint = 0xffffff;
        imgPauseDrawOff.addChild(imgPauseDrawOff.txtCaption1);
        */

        imgPauseDraw3 = game.add.sprite(0, 0, 'pak1', 'draw3.png');
        imgPauseDraw3.anchor.setTo(0, 0.5);
        imgPauseDrawOff.addChild(imgPauseDraw3);
        imgPauseDraw3.visible = false;

        /*
        imgPauseDrawOff.txtCaption2 = gameState.CreateText(imgPauseDraw1.width * 0.35, -7, 'gamefont', 'Draw 3', 50);
        imgPauseDrawOff.txtCaption2.anchor.setTo(0.5, 0.5);
        imgPauseDrawOff.txtCaption2.tint = 0xffffff;
        imgPauseDrawOff.addChild(imgPauseDrawOff.txtCaption2);
        */

        btnPlayDraw = game.add.sprite(0, 0, 'pak1', 'void.png');
        btnPlayDraw.anchor.setTo(0.5, 0.5);
        btnPlayDraw.width = imgPauseDrawOff.width / imgPauseDrawOff.scale.x;
        btnPlayDraw.height = imgPauseDrawOff.height / imgPauseDrawOff.scale.y;
        imgPauseDrawOff.addChild(btnPlayDraw);
        AddButtonEvents(btnPlayDraw, ScenePause.instance.OnPressedPlayDraw, ButtonOnInputOver, ButtonOnInputOut);

        grpScenePause.visible = false;
    },

    onBackKeyDown: function()
    {
        if(grpSceneInstructions.visible)
            return false;
        if(!grpScenePause.visible)
            return false;
        if(selectedMenuButton.sceneInstance != ScenePlay.instance)
            return false;

        soundManager.playSound('menu-click1');
        gameRunning = true;
        ScenePause.instance.HideAnimated();
        SceneMenu.instance.HideAnimated();
        return true;
    },

    OnPressedPlayDraw: function()
    {
        soundManager.playSound('menu-click1');

        if(game.input.x < game.width >> 1){
            if(imgPauseDraw3.visible){
                //SceneDialog.instance.ShowAnimated('REDEAL_SWITCH_TEXT_DRAW_1', 'REDEAL_BUTTON_REDEAL', 'REDEAL_BUTTON_CANCEL', function(){
                SceneDialog.instance.ShowAnimated('dialog-draw1.png', 'autoYES.png', 'autoNO.png', function(){
                    soundManager.playSound('menu-click1');
                    GameData.profile.Draw1 = true;
                    scnGame.ResetAchievementsWinOnRestart();
                    scnGame.ResetGame();
                    SceneDialog.instance.HideAnimated();
                    imgPauseDraw1.visible = true;
                    imgPauseDraw3.visible = false;
                    ScenePause.instance.HideAnimated();
                    SceneMenu.instance.HideAnimated();
                });

                return;
            }

        }else{
            if(imgPauseDraw1.visible){
                //dialogTextSTR, button1STR, button2STR, button1callback, button2callback)
                //SceneDialog.instance.ShowAnimated('REDEAL_SWITCH_TEXT_DRAW_3', 'REDEAL_BUTTON_REDEAL', 'REDEAL_BUTTON_CANCEL', function(){
                SceneDialog.instance.ShowAnimated('dialog-draw3.png', 'autoYES.png', 'autoNO.png', function(){
                    soundManager.playSound('menu-click1');
                    GameData.profile.Draw1 = false;
                    scnGame.ResetAchievementsWinOnRestart();
                    scnGame.ResetGame();
                    SceneDialog.instance.HideAnimated();
                    imgPauseDraw1.visible = false;
                    imgPauseDraw3.visible = true;
                    ScenePause.instance.HideAnimated();
                    SceneMenu.instance.HideAnimated();
                });

                return;
            }
        }
    },

    onResolutionChange: function()
    {
        imgPauseOverlay.width = game.width;
        imgPauseOverlay.height = game.height;
        imgPauseOverlay.position.setTo(game.width >> 1, game.height >> 1);

       // btnPauseInstructions.position.setTo(btnPauseClose.width * 0.8, btnPauseClose.width * 0.8);
        btnPauseClose.position.setTo(game.width - btnPauseClose.width * 0.8, btnPauseClose.width * 0.8);

        itemH = game.height / 8;

        var itemGap = 15;
        var posY = (game.height - itemH * 4 - itemGap * 3) / 2 + itemH;

        for(var i = 0; i < pauseButtons.length; i++){
            pauseButtons[i].height = itemH;
            pauseButtons[i].scale.x = pauseButtons[i].scale.y;
            pauseButtons[i].y = posY;
            //pauseButtons[i].txtCaption.scale.setTo(1 / pauseButtons[i].scale.x, 1 / pauseButtons[i].scale.y);
            pauseButtons[i].imgIcon.scale.setTo(1 / pauseButtons[i].scale.x * 0.6, 1 / pauseButtons[i].scale.y * 0.6);

            posY += itemGap + itemH;
        }

        imgPauseDrawOff.width = pauseButtons[0].width * 1.5;
        imgPauseDrawOff.scale.y = imgPauseDrawOff.scale.x;
        imgPauseDrawOff.position.setTo((game.width >> 1), posY);

        imgPauseDraw1.visible = GameData.profile.Draw1;
        imgPauseDraw3.visible = !imgPauseDraw1.visible;
    },

    update: function()
    {
    },

    updateTexts: function()
    {
        /*
        for(var i = 0; i < pauseButtons.length; i ++)
            pauseButtons[i].txtCaption.text = STR(pauseButtons[i].STR);

        imgPauseDrawOff.txtCaption1.text = STR('DRAW_1');
        imgPauseDrawOff.txtCaption2.text = STR('DRAW_3');
        */
    },

    ShowAnimated: function ()
    {
        ScenePause.instance.onResolutionChange();

        ScenesTransitions.transitionStarted();
        ScenesTransitions.TRANSITION_EFFECT_IN = Phaser.Easing.Linear.In;
        ScenesTransitions.showSceneAlpha(grpScenePause, 0, ScenesTransitions.TRANSITION_LENGTH, ScenesTransitions.transitionFinished);
        ScenesTransitions.TRANSITION_EFFECT_IN = Phaser.Easing.Linear.In;
    },

    HideAnimated: function ()
    {
        ScenesTransitions.transitionStarted();
        ScenesTransitions.TRANSITION_EFFECT_OUT = Phaser.Easing.Linear.Out;
        ScenesTransitions.hideSceneAlpha(grpScenePause, 0, ScenesTransitions.TRANSITION_LENGTH, ScenesTransitions.transitionFinished);
        ScenesTransitions.TRANSITION_EFFECT_OUT = Phaser.Easing.Linear.Out;
    }

}